/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pokemon.utils;

/**
 *
 * @author Alejandro Barrios
 */
public class Utility {
    
    public static String getImageAscii(int pokemonNumber){
        
        String pokemonAscii = "";
        
        switch(pokemonNumber){
            case 0:
                pokemonAscii = makePikachu();
                break;
                
            case 1:
                pokemonAscii = makeSquirtle();
                break;
                
            case 2:
                pokemonAscii = makeCharmander();
                break;
                
            case 3:
                pokemonAscii = makeBulbasaur();
                break;
                
            case 4:
                pokemonAscii = makeChikorita();
                break;
                
            case 5:
                pokemonAscii = makeEevee();
                break;
                
        }
        
        return pokemonAscii;
        
    }
    
    private static String makePikachu(){
        return  "                        /              \n" +
                " //,                   //              \n" +
                "  #//@@@              @@(              \n" +
                "     @@@@@@          /@@@              \n" +
                "        @@@@@@@@@@   @@@               \n" +
                "          @@@@@@@@@@@@@@               \n" +
                "         @@@*@@@@@@@@@@                \n" +
                "        @@@@@@@@@@@@@@@                \n" +
                "       @@@@@@..*@@@/@@                 \n" +
                "        @@@@@@@@@@@@@@ @@@.            \n" +
                "     @@@@@@@@@@@@@@@@@@@@@*            \n" +
                "    @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*    \n" +
                "     @@@@@@@@@@@@@@@@@@ @@@@@@@@@@@@@@ \n" +
                "      *@@@@@@@@@@@@@   .@@@@@@@@@@@@   \n" +
                "      @@@@@@@@@@@@@@ @@@@@     @@@     \n" +
                "     @@@@@@@@@@@@@@@ @@@@              \n" +
                "    @@@@@@@@@@@@@@@@/@@                \n" +
                "    @@@@@@@@@@@@@@@@@                  \n" +
                "    @@@@@@@***@@@@@@                   ";
    }
    
    private static String makeSquirtle(){
        return  "            %&%%%%%,                   \n" +
                "         #%&%%%%%#%###                 \n" +
                "        %#%%%%%%*@@*##(*               \n" +
                "        .%%%%%%%  ,(#(((               \n" +
                "       %%%%%%%%%*//(((((               \n" +
                "       (##*((/**((((/(((               \n" +
                "        *((((((((((((((#               \n" +
                "          ,((((((((((*%/(              \n" +
                "     %%%%(&%######/%%#(((**            \n" +
                " %##%%%%#&(&&&%%##%%%%#(*((            \n" +
                " ((,%%%*&&&&&(&&*%*%%###%(##           \n" +
                "       &&&&&&/%#(#*/#%@(##             \n" +
                "       &/%&&&%&&**(#/%/(((             \n" +
                "       ,&&&&&%&&&&%####%#//*  /%%%%#(, \n" +
                "      %%/&&&&%&&&%#/%%%%/*/ ,(##((((((*\n" +
                "     (&%%(###*####/%%%%%%/ ((((/((((((/\n" +
                "     %%##((/#####(%%%%%%%((((((/(((((( \n" +
                "     ##((((        %%%%%#((((((((*//   \n" +
                "      ,(           .((((((             ";
    }
    
    private static String makeCharmander(){
        return  "                         (((((%        \n" +
                "                       /((((((((%#     \n" +
                "                     ,*(((((((((((%    \n" +
                "                     *@,/%(((((((((    \n" +
                "                    *&..,(((((((((&.   \n" +
                "                    ****.(((((((((.,   \n" +
                "                    ***(((((((((((((,  \n" +
                "   /                **,(,**(((((((,*,  \n" +
                "  /////              ****//(((((,**    \n" +
                " /%////              ***,**,,***       \n" +
                "(&&////         /(((((/***//****(*     \n" +
                "&&&&%&&%.   *((((((((((/&&&&&&(((((((( \n" +
                "*&&&&&&..   ***((((((((&&&&&&&&,/((((( \n" +
                " //&&&(,,,       */((%&&&&&&&&&*       \n" +
                "   ((.          ((((/&&&&&&&&&&(       \n" +
                "    *((        ((((*&&&&&&&&&&&        \n" +
                "    /*(((     ((((((&&&&&&&&&&&((      \n" +
                "      *(((((/(((((((/&&&&&&&&&((((/    \n" +
                "       .(*****(((((((%&###,**((((      \n" +
                "           /***(((/*#####*******(((    \n" +
                "            ,*****          *****((.   \n" +
                "          .@*//(*               #@(@   ";
    }
    
    private static String makeBulbasaur(){
        return  "                                       \n" +
                "                              ((.#     \n" +
                "                  .%%%########(##((    \n" +
                "               (#######*#%#######*(    \n" +
                "    /%%(      ((####**(##########*(.   \n" +
                "   /#%%%%%%%%%%%%%%%%%#*#######(((((.  \n" +
                "   #%%&%*(///*%%%%#%%%#(#(#((((((((((/ \n" +
                "  %%%%%%#**###%%%%%%%%#(.((((((((((,((*\n" +
                " /&*/%*#%%###%%%(#/,%##((#,((((((((/(((\n" +
                "(@((#%%%*/*%%(%#@(#&*((#(((*.((((((((((\n" +
                "#@/(%%%%%%%%#%(@@//#/(#((((*///.*((((((\n" +
                "#%%%%%%%%#%%%#/@@*/*((((((((*///**(((( \n" +
                " ((/#%%%%%%%%%####(,(((((((((((((((/   \n" +
                "   .(*/((###(((/*((((#/#%%%#(((#%#((   \n" +
                "    /##*(((((((((**(*%%#%%%#((#///(((  \n" +
                "     %*((#(/((//(/(,%(#(#%##.%///,(((  \n" +
                "     *(((###((  */(((/%%%##,(((((((((  \n" +
                "      ####(#,   ././/#%%##, ,(((((((   \n" +
                "       *.&        (%/#(#,    *.&/#*    ";
    }
    
    private static String makeChikorita(){
        return  "              @*****@((*@              \n" +
                "          @((#((((/**********          \n" +
                "        ((       @(((***********       \n" +
                "    ..........     ,((************     \n" +
                "  ........ %%...     @((************   \n" +
                " %@......# ( %...      ((/***********  \n" +
                "@(&......@ (%(....       ((*******/*** \n" +
                " .................        @((*******(**\n" +
                "...&&&..........,         ,(*******(*  \n" +
                "(...&&// .........&*           (******(\n" +
                " ....@//........,*.              *****&\n" +
                "/...................,..           %****\n" +
                " ./,........// .,......             ***\n" +
                " ......//..............@%&          #*%\n" +
                " ....................#...*          @/ \n" +
                " ...............*****.....*            \n" +
                " ..%..........****&........            \n" +
                " @..***....................            \n" +
                "  ..**********......******.            \n" +
                "   ..*****  *@(***********.            \n" +
                "    &.**    (/***    /****             ";
    }
    
    private static String makeEevee(){
        return  "          %/ *                         \n" +
                "          ( %%                         \n" +
                "          (,,,(#                       \n" +
                "          (,,,,,#.                     \n" +
                "       ,/ (.,,,, /(                    \n" +
                "       #/  #,,,   #   #                \n" +
                "   ,&&& (  (/     *   *.,#     #(,.,. (\n" +
                " .&&&&&,,,   #,  ..*#######(*( .,,,,// \n" +
                "*&&&&(&&*#**    (###########(.   ..(   \n" +
                "#(&&(((#(&,***   (##.%(#####(#//*      \n" +
                "((%((((((((/    .(#.   ##### @         \n" +
                "(((((((((((/,   /(#,,*,#####..         \n" +
                "*/(((((((/**%%%%#((######*####         \n" +
                ".***********%#%%%#(((##(##(#((@&       \n" +
                "  ********(((%%%(%%%(/((((/#@@&,(      \n" +
                "       ,((((((%%%%%#%&@@@@@@@&%        \n" +
                "       (((((((((#%%%%@@@@@&&&%         \n" +
                "      ((((((((((((((%%#%&%%%           \n" +
                "     #######**(((((((*(%%((            \n" +
                "    ####(***,   (((###((((             \n" +
                "    ##   ,//,      /#######            \n" +
                "    ((*                 ####/          ";
    }
    
}
